From 7ee858e2af3b75464bdc44915b691b2c8fe60f85 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Wed, 23 Nov 2022 19:01:35 +1100
Subject: [PATCH v6] Remove all stats views from the ToC of 28.2.

This was done by changing all the stats view to have <sect3> instead of <sect2>.
---
 doc/src/sgml/monitoring.sgml | 86 ++++++++++++++++++++++----------------------
 1 file changed, 43 insertions(+), 43 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 333fe78..7909741 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -746,9 +746,7 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
    into the kernel's handling of I/O.
   </para>
 
- </sect2>
-
- <sect2 id="monitoring-pg-stat-activity-view">
+ <sect3 id="monitoring-pg-stat-activity-view">
   <title><structname>pg_stat_activity</structname></title>
 
   <indexterm>
@@ -2387,9 +2385,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
 </programlisting>
    </para>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-replication-view">
+ <sect3 id="monitoring-pg-stat-replication-view">
   <title><structname>pg_stat_replication</structname></title>
 
   <indexterm>
@@ -2724,9 +2722,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </para>
   </note>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-replication-slots-view">
+ <sect3 id="monitoring-pg-stat-replication-slots-view">
   <title><structname>pg_stat_replication_slots</structname></title>
 
   <indexterm>
@@ -2873,9 +2871,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-wal-receiver-view">
+ <sect3 id="monitoring-pg-stat-wal-receiver-view">
   <title><structname>pg_stat_wal_receiver</structname></title>
 
   <indexterm>
@@ -3053,9 +3051,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-recovery-prefetch">
+ <sect3 id="monitoring-pg-stat-recovery-prefetch">
   <title><structname>pg_stat_recovery_prefetch</structname></title>
 
   <indexterm>
@@ -3199,9 +3197,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-subscription">
+ <sect3 id="monitoring-pg-stat-subscription">
   <title><structname>pg_stat_subscription</structname></title>
 
   <indexterm>
@@ -3310,9 +3308,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-subscription-stats">
+ <sect3 id="monitoring-pg-stat-subscription-stats">
   <title><structname>pg_stat_subscription_stats</structname></title>
 
   <indexterm>
@@ -3388,9 +3386,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-ssl-view">
+ <sect3 id="monitoring-pg-stat-ssl-view">
   <title><structname>pg_stat_ssl</structname></title>
 
   <indexterm>
@@ -3509,9 +3507,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-gssapi-view">
+ <sect3 id="monitoring-pg-stat-gssapi-view">
   <title><structname>pg_stat_gssapi</structname></title>
 
   <indexterm>
@@ -3584,9 +3582,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-archiver-view">
+ <sect3 id="monitoring-pg-stat-archiver-view">
   <title><structname>pg_stat_archiver</structname></title>
 
   <indexterm>
@@ -3688,9 +3686,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
     archived.
   </para>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-bgwriter-view">
+ <sect3 id="monitoring-pg-stat-bgwriter-view">
   <title><structname>pg_stat_bgwriter</structname></title>
 
   <indexterm>
@@ -3825,9 +3823,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-wal-view">
+ <sect3 id="monitoring-pg-stat-wal-view">
    <title><structname>pg_stat_wal</structname></title>
 
   <indexterm>
@@ -3959,9 +3957,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
-</sect2>
+</sect3>
 
- <sect2 id="monitoring-pg-stat-database-view">
+ <sect3 id="monitoring-pg-stat-database-view">
   <title><structname>pg_stat_database</structname></title>
 
   <indexterm>
@@ -4284,9 +4282,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-database-conflicts-view">
+ <sect3 id="monitoring-pg-stat-database-conflicts-view">
   <title><structname>pg_stat_database_conflicts</structname></title>
 
   <indexterm>
@@ -4387,9 +4385,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-all-tables-view">
+ <sect3 id="monitoring-pg-stat-all-tables-view">
   <title><structname>pg_stat_all_tables</structname></title>
 
   <indexterm>
@@ -4658,9 +4656,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-all-indexes-view">
+ <sect3 id="monitoring-pg-stat-all-indexes-view">
   <title><structname>pg_stat_all_indexes</structname></title>
 
   <indexterm>
@@ -4807,9 +4805,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </para>
   </note>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-statio-all-tables-view">
+ <sect3 id="monitoring-pg-statio-all-tables-view">
   <title><structname>pg_statio_all_tables</structname></title>
 
   <indexterm>
@@ -4943,9 +4941,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-statio-all-indexes-view">
+ <sect3 id="monitoring-pg-statio-all-indexes-view">
   <title><structname>pg_statio_all_indexes</structname></title>
 
   <indexterm>
@@ -5043,9 +5041,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-statio-all-sequences-view">
+ <sect3 id="monitoring-pg-statio-all-sequences-view">
   <title><structname>pg_statio_all_sequences</structname></title>
 
   <indexterm>
@@ -5121,9 +5119,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-user-functions-view">
+ <sect3 id="monitoring-pg-stat-user-functions-view">
   <title><structname>pg_stat_user_functions</structname></title>
 
   <indexterm>
@@ -5211,9 +5209,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-slru-view">
+ <sect3 id="monitoring-pg-stat-slru-view">
   <title><structname>pg_stat_slru</structname></title>
 
   <indexterm>
@@ -5333,6 +5331,8 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
+ </sect3>
+
  </sect2>
 
  <sect2 id="monitoring-stats-functions">
-- 
1.8.3.1

